Python3.6下scrapy框架的安装

首先考虑使用最简单的方法安装


pip install scrapy 

命令安装,提示 


 Failed building wheel for Twisted


Microsoft Visual C++ 14.0 is required...


于是开始问度娘应该怎样安装,看了几篇博客,虽然和我的问题不十分相同,但是也受到了启发,知道应该怎样解决我的问题了。解决问题的过程总结如下:


1、直接使用pip install scrapy安装不成功可以安装whl格式的包


首先下载scrapy的whl包


下载地址:http://www.lfd.uci.edu/~gohlke/pythonlibs/


在网页中搜索scrapy找到


Scrapy‑1.3.3‑py2.py3‑none‑any.whl

下载了scrapy的whl包先不要着急安装,接着 

2、安装whl格式包需要安装wheel库

看到别人的博客上说可以直接使用pip install wheel安装wheel,由于我已经安装过wheel了,在这里就不用安装了,就没有测试怎么安装wheel。

没有安装过wheel库的请先安装。

3、scrapy依赖twiste,同样使用whl格式的包进行安装


还是进入http://www.lfd.uci.edu/~gohlke/pythonlibs/,在网页中搜索twisted找到其对应的whl包并下载


Twisted‑17.1.0‑cp36‑cp36m‑win_amd64.whl

根据你的Python的版本选择合适的包,名称中间的cp36是python3.6的意思,amd64是python的位数




下载完成后使用cmd打开windows的命令行窗口,进入whl包所在的文件夹执行如下命令


pip install [whl]


[whl]是whl包的名字,即:



pip install Twisted-17.1.0-cp36-cp36m-win_amd64.whl



Scrapy-1.3.3-py2.py3-none-any.whl包使用同样的方式安装,只是应该等到其所有依赖的包安装完成后才能进行安装,现在还不能安装


4、scrapy依赖lxml包,需要先安装lxml包,lxml包依赖libxml2,libxml2-devel,所以安装lxmllibxml2, libxml2-devel。幸运的是之前我之前已经安装过lxml


5、所有准备工作做完,终于可以安装scrapy包了,进入Scrapy-1.3.3-py2.py3-none-any.whl所在的目录



pip install Scrapy-1.3.3-py2.py3-none-any.whl



Successfully ! 先别急着撒花,是否真的安装成功了,还需要验证,输入scrapy -h




显示scrapy的相关信息,大功告成,撒花~~~

--------------------- 

作者:Lavi_qq_2910138025 

来源:CSDN 

原文:https://blog.csdn.net/liuweiyuxiang/article/details/68929999 

版权声明:本文为博主原创文章,转载请附上博文链接!